Subject: Re: [PATCH] Allow building iwl3945 without iwl4965.

From: "John W. Linville" <[email-masked]>
Date: Tue, 29 Apr 2008 09:27:20 -0400

On Tue, Apr 29, 2008 at 10:19:57AM +0800, Zhu Yi wrote:

> Do we have a way to make "select IWLWIFI" generate CONFIG_IWLWIFI with
> the same state as CONFIG_IWLCORE (or CONFIG_IWL3945)? AFAICS,
> CONFIG_IWLWIFI is always 'y' whenever CONFIG_IWLCORE is 'y' or 'm'. If
> the latter is 'm', the Makefile will generate a empty built-in.o which
> requires vmlinux to update unnecessarily every time we only compile
> iwl3945/4965 modules.

Can you do something like  "default IWLCORE'?  Untested, off the top
of my head...

John
-- 
John W. Linville
[email-masked]